critbit0_insert(3)

NAME
critbit0_insert - insert a string into a critbit tree

SYNTAX
#include <libowfat/critbit.h>

critbit0_tree cb = { 0 };

int critbit0_insert(critbit0_tree* cb,const char* str);

DESCRIPTION
critbit0_insert attempts to insert a string into a critbit0 tree. For this it does not insert a copy of the pointer but makes a copy of the whole string. If str is already in cb, critbit0_insert returns 1. If str is not in cb, it is inserted and critbit0_insert returns 2. If there is a memory allocation failure on the way, critbit0_insert leaves cb alone and returns 0.

RETURN VALUE
2 if the key was inserted, 1 if it was already in cb, 0 on memory allocation failure.

SEE ALSO
critbit0_contains(3)